Subject: Questions
From: Pritish Nandi <[email-masked]>
To: "Heta Nyrhinen, HNYR" <[email-masked]>
Cc: "Sara Aknooni, SRAK" <[email-masked]>, "Josephine Veena Dorairaj, JVDO" <[email-masked]>
Date: Fri, 26 Mar 2021 01:09:11 -0700 (MST)

Hi Heta, 

We have few questions from the team which is mentioned below. 

1. Need More Information on the Impact SC 660 TC headset. 

How do TC works? 
Compatibility with different hearing aids? 
Tech Specification of TC technology. 
Some specific troubleshooting steps for this headset only 

2. Do we Support BTD 500 USB dongle? 

I have seen some previous tickets where we did. Is this a Sennheiser product as it is listed on Sennheiser Support Page. 
Also if under warranty (which I do not think they will be) can we replace it with BTD 800 Dongle? 

3. Do we support VMX 200? 

What are the basic troubleshooting steps and what is the replacement product if the customer is under warranty? 

4. We do not have Gathering RMA Info - SLTR in these Languages (German/French/Japanese/Chinese) 
Can I share the translations and if you can add them to the Macro page? 

Regards, 
Pritish Nandi